> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check availability and price of a room in Mews



## OpenAPI

````yaml /openapi/accomsoa-api.openapi.json post /accommodationapi/v1/availability
openapi: 3.0.0
info:
  description: AccomSOA API for accommodation, activity, and EBS-related booking workflows.
  version: 1.0.0
  title: AccomSOA API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //accomsoatest.websitetravel.com
security: []
tags:
  - name: accommodation-controller
    description: Accommodation Controller
  - name: activity-controller
    description: Activity Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: ebs-controller
    description: EBS Controller
  - name: index-controller
    description: Index Controller
paths:
  /accommodationapi/v1/availability:
    post:
      tags:
        - accommodation-controller
      summary: Check availability and price of a room in Mews
      operationId: checkAvailabilityUsingPOST
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestData_CheckAvailRQ_'
        description: checkAvailRQDTO
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseData_CheckAvailRS_'
        '201':
          description: Created
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    RequestData_CheckAvailRQ_:
      type: object
      properties:
        agentID:
          type: string
        data:
          $ref: '#/components/schemas/CheckAvailRQ'
        site:
          type: string
      title: RequestData«CheckAvailRQ»
    ResponseData_CheckAvailRS_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CheckAvailRS'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
        status:
          type: integer
          format: int32
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
      title: ResponseData«CheckAvailRS»
    CheckAvailRQ:
      type: object
      properties:
        checkin:
          type: string
          example: yyyy-MM-dd
        checkout:
          type: string
          example: yyyy-MM-dd
        guestCount:
          type: integer
          format: int32
        hotelCode:
          type: string
        roomCode:
          type: string
        source:
          type: string
      title: CheckAvailRQ
    CheckAvailRS:
      type: object
      properties:
        dailyPrices:
          type: array
          items:
            $ref: '#/components/schemas/DailyPrice'
        hotelCode:
          type: string
        roomCode:
          type: string
      title: CheckAvailRS
    ResponseExtraInformation:
      type: object
      properties:
        code:
          type: string
        text:
          type: string
      title: ResponseExtraInformation
    DailyPrice:
      type: object
      properties:
        canArrival:
          type: boolean
        canArrivalException:
          $ref: '#/components/schemas/StateExceptionRS'
        canDepart:
          type: boolean
        canDepartException:
          $ref: '#/components/schemas/StateExceptionRS'
        canStay:
          type: boolean
        canStayException:
          $ref: '#/components/schemas/StateExceptionRS'
        currency:
          type: string
        date:
          type: string
        gross:
          type: number
        inventory:
          type: integer
          format: int32
        net:
          type: number
      title: DailyPrice
    StateExceptionRS:
      type: object
      properties:
        maxLos:
          type: integer
          format: int32
        minLos:
          type: integer
          format: int32
      title: StateExceptionRS

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.